XAMPP Php SQLite3没有这样的模块:fts3- ubuntu服务器12.04 X86

我试过google并找到两篇关于它的文章。</ p>

并且 sqlite简介链接 http://www.sqlite.org/fts3.html#section_2 </ p>

我使用了XAMPP开发包并下载了php-5.4.7.ta​​r.gz( http://us1.php.net/distributions/php-5.4.7.ta​​r.gz )尝试编译sqlite3。 </ p>

但是当我进入php-5.4.7 \ ext \ sqlite3并使用/ opt / lampp / bin / phpize
时显示“无法找到config.m4。请确保 你在模块的顶级源目录中运行'/ opt / lampp / bin / phpize'。 我确定我已经在模块的顶级源目录中了... </ p>

有没有人知道我能做些什么来解决它? 请给我一些建议。 谢谢你的帮助^ _ ^ </ p>

以下是我发现的两篇文章,但我认为它们对我的问题毫无用处:
LInux:如何在PHP中安装FTS3(for sqlite3)?
如何为php启用sqlite3? </ p>
</ div>

展开原文

原文

I tried google and find two articles about it.

And with the sqlite introduction link http://www.sqlite.org/fts3.html#section_2

I used XAMPP Development package and download the php-5.4.7.tar.gz(http://us1.php.net/distributions/php-5.4.7.tar.gz) try to compilatie the sqlite3.

But when I cd into php-5.4.7\ext\sqlite3 and use /opt/lampp/bin/phpize It shows about "can not find config.m4. Make sure that you run '/opt/lampp/bin/phpize' in the top level source directory of the module". I'm sure I had already in the top level source directory of the module...

Is there some knows what I can do to solve it? Please give me some advice. Thank you for your help^_^

Here are two articles I found but I think they are useless for my problem: LInux: How to install FTS3 (for sqlite3) in PHP? how to enable sqlite3 for php?

1个回答



1.download xampp-linux-devel-1.8.1.tar.gz </ p>

 <  code> tar xf xampp-linux-devel-1.8.1.tar.gz -C /opt

nn

2.download php-5.4.16.tar.gz </ p>

  tar xf php-5.4.16.tar.gz -C / opt 
cd php-5.4.15。
。/ configure --prefix = / opt / lampp /php-5.4.15 --enable -fpm --with-apxs2 = / opt / lampp / bin / apxs --with-mysql = mysqlnd --with-zlib = yes --with-zlib-dir = / opt / lampp --with-mysql-sock = / opt / lampp / var / mysql / mysql.sock --enable-mbstring = all --with-curl = / opt / lampp --enable-mbregex --with-mysqli = mysqlnd --with-iconv --with-pdo-mysql = mysqlnd --with-pdo-sqlite --with-libxml-dir = / opt / lampp
make
sudo make install
/ opt / lampp / lampp restart
</ code> </ pre>

我的同事GF的解决方案→ http://gfzj.us/
但他没有写详细信息。</ p>

如果您需要更多细节,可以看看我的博客shipengliang.com/software-exp/关于xampp使用sqlite3-报错 sqlite3的-NO-这种模块-FTS3的解决 办法.html#Englishversion </ p>
</ div>

展开原文

原文

1.download xampp-linux-devel-1.8.1.tar.gz

tar xf xampp-linux-devel-1.8.1.tar.gz -C /opt

2.download php-5.4.16.tar.gz

tar xf php-5.4.16.tar.gz -C /opt
cd php-5.4.15。
./configure --prefix=/opt/lampp/php-5.4.15 --enable-fpm --with-apxs2=/opt/lampp/bin/apxs --with-mysql=mysqlnd --with-zlib=yes --with-zlib-dir=/opt/lampp --with-mysql-sock=/opt/lampp/var/mysql/mysql.sock --enable-mbstring=all --with-curl=/opt/lampp --enable-mbregex --with-mysqli=mysqlnd --with-iconv --with-pdo-mysql=mysqlnd --with-pdo-sqlite --with-libxml-dir=/opt/lampp
make
sudo make install
/opt/lampp/lampp restart

This solution from my colleague GF→http://gfzj.us/ But he doesn't write the detail.

If you need more detail, you can see my blog shipengliang.com/software-exp/关于xampp使用sqlite3-报错sqlite3-no-such-module-fts3的解决办法.html#Englishversion

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问